/*
 * Copyright(C) 2000  
 *
 *    , 
 *    .
 *
 *        ,
 * ,    ,
 *     ,
 * ,      
 *     
 *      .
 */

/*!
 * \file $RCSfile$
 * \version $Revision: 78271 $
 * \date $Date: 2012-05-31 19:39:51 +0400 (Чтв, 31 Май 2012) $
 * \author $Author: raa $
 *
 * \brief  Microsoft Cryptography Service Provider.
 *
 *   ,     CSP.
 *  ,      -   
 *   ,   .
 */
#ifndef WINCSPC_INT_H_INCLUDED
#define WINCSPC_INT_H_INCLUDED

#include "wincspc.h"

#define CSP_36_R2_CPC_CONFIG_64_LEN 648
#define CSP_36_R2_CPC_CONFIG_32_LEN 532

#if defined(__cplusplus)
extern "C" {
#endif // defined(__cplusplus)

	// ,      
	// . wincspc.h 
#if defined(CPC_SEPARATE_NAMESPACE_BINDING)
    CPCCreateProvider_t		CPCCreateProvider;
    CPCGetDefaultConfig_t	CPCGetDefaultConfig;
#endif

	//  ,    HCRYPTMODULE
CPCAcquireContext_t	CPCAcquireContext;
CPCReleaseContext_t	CPCReleaseContext;
CPCGetProvParam_t	CPCGetProvParam;
CPCSetProvParam_t	CPCSetProvParam;
CPCGenKey_t		CPCGenKey;
CPCDestroyKey_t		CPCDestroyKey;
CPCCreateHash_t		CPCCreateHash;
CPCDestroyHash_t	CPCDestroyHash;
CPCEncrypt_t		CPCEncrypt;
CPCDecrypt_t		CPCDecrypt;
CPCDeriveKey_t		CPCDeriveKey;
CPCDuplicateKey_t	CPCDuplicateKey;
CPCDuplicateHash_t	CPCDuplicateHash;
CPCExportKey_t		CPCExportKey;
CPCGenRandom_t		CPCGenRandom;
CPCGetHashParam_t	CPCGetHashParam;
CPCGetKeyParam_t	CPCGetKeyParam;
CPCGetUserKey_t		CPCGetUserKey;
CPCHashData_t		CPCHashData;
CPCHashSessionKey_t	CPCHashSessionKey;
CPCImportKey_t		CPCImportKey;
CPCSetHashParam_t	CPCSetHashParam;
CPCSetKeyParam_t	CPCSetKeyParam;
CPCSignHash_t		CPCSignHash;
CPCVerifySignature_t	CPCVerifySignature;
CPCDestroyProvider_t	CPCDestroyProvider;

#if defined(__cplusplus)
} // extern "C"
#endif // defined(__cplusplus)

#endif /* WINCSPC_INT_H_INCLUDED */
