/*
 * Copyright(C) 2003  
 *
 *    , 
 *    .
 *
 *        ,
 * ,    ,
 *     ,
 * ,      
 *     
 *      .
 */

/*!
 * \file $RCSfile: CA_CMP_ErrorMsg.h,v $
 * \version $Revision: 1.8 $
 * \date $Date: 2004/03/04 14:51:32 $
 * \author $Author: halaud $
 *
 * \brief ErrorMessageInfo class
 */

#ifndef CA_CMP_ERROR_MSG_H
#define CA_CMP_ERROR_MSG_H

#include "CA_CMP_Types.h"

class ErrorMsgInfo : public PKIXCMP_Message
{
public:
    ErrorMsgInfo();

    PKIStatusEnum pki_status;

    FailureInfo failure_info;

    int error_code;

    FreeText status_string;

    FreeText error_details;
};

bool operator==( const ErrorMsgInfo& lhs, const ErrorMsgInfo& rhs);

#endif
