/*
 * Copyright(C) 2000  
 *
 *    , 
 *    .
 *
 *        ,
 * ,    ,
 *     ,
 * ,      
 *     
 *      .
 */

/*!
 * \file $RCSfile$
 * \version $Revision: 84165 $
 * \date $Date: 2012-12-25 12:34:14 +0300 (Втр, 25 Дек 2012) $
 * \author $Author: dim $
 * \brief      .
 */

#include "fkchdimgprj.h" 

/*! 
 * \ingroup hdimage_fun_reader
 * \brief      .
 *
 *    ,    .
 * \param context [in]  . 
 * \param info [in/out]  #TReaderInfoFolderEnumOpen
 * \sa #TReaderInfoFolderEnumOpen, #READER_FUN_FOLDER_ENUM_OPEN, 
 *  #TSupSysFunction, #fkchdimg_info_folder_enum_close, #fkchdimg_info_folder_enum_next,
 * \return  
 */
TSupErr fkchdimg_info_folder_enum_open(
    TSupSysContext *context, 
    TSupSysInfo *info )
{
    TReaderInfoFolderEnumOpen *inf = (TReaderInfoFolderEnumOpen*)info;
    TFKCHDImgContext *ctx = (TFKCHDImgContext*)context;
    TSupErr code;

    SUPSYS_PRE_INFO( info, TReaderInfoFolderEnumOpen );
    SUPSYS_PRE_CONTEXT( context, TFKCHDImgContext );
    SUPSYS_PRE_STRING_PTR( ctx->path );

    inf->size_of = sizeof( TReaderInfoFolderEnumOpen );
    code = support_opendir( ctx->path, NULL, &inf->name.length,
	(TSupFileEnum**)&inf->add_info.info );
    inf->add_info.length = sizeof(void*);//4;
    return code;
}
/* end of file: $Id: fkchdimgdcop.c 84165 2012-12-25 09:34:14Z dim $ */
  
