/*
 * Copyright(C) 2000  
 *
 *    , 
 *    .
 *
 *        ,
 * ,    ,
 *     ,
 * ,      
 *     
 *      .
 */

/*!
 * \file $RCSfile$
 * \version $Revision: 85126 $
 * \date $Date: 2013-01-28 16:24:04 +0300 (Пнд, 28 Янв 2013) $
 * \author $Author: dim $
 * \brief    .
 */

#include "fkchdimgprj.h"
#include "reader.kit/rdr_ver.h"

/*!
 * \ingroup hdimage_internal
 * \brief      .
 * \sa #TSupSysFunctionTable, #TSupSysFunctionTableItem, #hdimage_funs
 */
static const TSupSysFunctionTableItem fkchdimg_funs[] =
{
    { SUPSYS_FUN_INSTANCE, fkchdimg_info_instance },
    { SUPSYS_FUN_CONTEXT_DUP, fkchdimg_context_dup },
    { SUPSYS_FUN_CONTEXT_FREE, fkchdimg_context_free },
    { SUPSYS_FUN_IDS_BLOCK, fkchdimg_info_ids },
    { SUPSYS_FUN_FLAGS, fkchdimg_info_system_flag },
    { SUPSYS_FUN_VERSIONSUPPORT, info_versionsupport},

    { SUPSYS_FUN_REGISTER, fkchdimg_register },
    { SUPSYS_FUN_UNREGISTER, fkchdimg_unregister },

    { READER_FUN_LOCK, fkchdimg_lock },
    { READER_FUN_UNLOCK, fkchdimg_unlock },

    { READER_FUN_LOCAL_MACHINE, fkchdimg_local_machine },
    { READER_FUN_FOLDER_PARAM_GET, fkchdimg_get_param},
    { READER_FUN_FOLDER_PARAM_SET, fkchdimg_set_param},
    { READER_FUN_AUTH_TYPE, fkchdimg_get_auth_type},

    { READER_FUN_FOLDER_ENUM_OPEN, fkchdimg_info_folder_enum_open },
    { READER_FUN_FOLDER_ENUM_NEXT, fkchdimg_info_folder_enum_next },
    { READER_FUN_FOLDER_ENUM_CLOSE, fkchdimg_info_folder_enum_close },
    { READER_FUN_FOLDER_OPEN, fkchdimg_folder_open },
    { READER_FUN_FOLDER_CLOSE, fkchdimg_folder_close },
    { READER_FUN_FOLDER_OPEN_EX, fkchdimg_folder_open_ex},

    { READER_FUN_LOGIN, fkchdimg_login},
    { READER_FUN_AUTH_CHALLENGE, fkchdimg_eke_auth_challenge},
    { READER_FUN_FOLDER_CLEAR, fkchdimg_folder_clear },

    { READER_FUN_OPEN, fkchdimg_open },
    { READER_FUN_CLOSE, fkchdimg_close },
    { READER_FUN_UNLINK, fkchdimg_unlink },
    { READER_FUN_AUTH_CHANGE, fkchdimg_eke_auth_change},
    { READER_FUN_FRIENDLY_NAME_SET, fkchdimg_friendly_name_set},

    { READER_FUN_READ, fkchdimg_read },
    { READER_FUN_WRITE, fkchdimg_write },
    { READER_FUN_CHSIZE, fkchdimg_chsize },
    { READER_FUN_LENGTH, fkchdimg_length },
    { READER_FUN_KEY_GEN, fkchdimg_new_key},
    { READER_FUN_KEY_SET, fkchdimg_key_set},
    { READER_FUN_SIGNATURE, fkchdimg_signature},
    { READER_FUN_AGREEMENT, fkchdimg_dh},
#if _DEBUG
    { READER_FUN_SIGNATURE_DEBUG, fkchdimg_signature_debug},
#endif /*_DEBUG*/
};

/*!
 * \ingroup hdimage_internal
 * \brief    .
 * \sa #TSupSysFunctionTable, #TSupSysFunctionTableItem, #hdimage_funs
 */
static const TSupSysFunctionTable fkchdimg_table =
{
    sizeof( TSupSysFunctionTable ),
    sizeof( fkchdimg_funs ) / sizeof( TSupSysFunctionTableItem ),
    fkchdimg_funs
};

/*!
 * \ingroup hdimage_external
 * \brief      .
 * \sa #rdr_register_all, #TSupSysExportFunction
 * \return      .
 * \internal    #hdimage_table
 */
const TSupSysEHandle *
    fkchdimg_reader_get_handle(
    void )
{
    return (const TSupSysEHandle*)&fkchdimg_table;
}

/* end of file: $Id: fkchdimgis.c 85126 2013-01-28 13:24:04Z dim $ */
