/*
 * Copyright(C) 2000  
 *
 *    , 
 *    .
 *
 *        ,
 * ,    ,
 *     ,
 * ,      
 *     
 *      .
 */

/*!
 * \file $RCSfile$
 * \version $Revision: 68294 $
 * \date $Date: 2011-05-30 13:59:07 +0400 (Пнд, 30 Май 2011) $
 * \author $Author: borodin $
 * \brief    
 */

#include "fkchdimgprj.h"

TSupErr create_lock (TCHAR* folder, TFKCHDImgContext *ctx)
{
    TSupErr err = 0;
    TCHAR buf[512];

    support_mutex_close(&ctx->filelock);
    _tcscpy(buf, _TEXT("fkchdimg_"));
    if (folder)
	_tcscat(buf, folder);
    err = support_mutex_open(&ctx->filelock, buf, 0);
    return err; 
}

TSupErr close_lock (TFKCHDImgContext *ctx)
{
    support_mutex_close(&ctx->filelock);
    return 0;
}

TSupErr lock_lock (TFKCHDImgContext *ctx)
{
    return support_mutex_lock(ctx->filelock);
}

TSupErr unlock_lock (TFKCHDImgContext *ctx)
{
    support_mutex_unlock(ctx->filelock);
    return 0;
}


//static void dbg_out_lock (TCHAR * name, TSupportMutex lock)
//{
//    TCHAR buf[512];
//
//    _stprintf(buf, _T("Thread: %x, fkchdimg lock ( %ls ): %x\n"), GetCurrentThreadId(), name, (DWORD)lock);
//    OutputDebugString (buf);
//}
//
//static void dbg_out_unlock (TSupportMutex lock)
//{
//    TCHAR buf[512];
//
//    _stprintf(buf, _T("Thread: %x, fkchdimg unlock: %x\n"), GetCurrentThreadId(), (DWORD)lock);
//    OutputDebugString (buf);
//}

TSupErr fkchdimg_lock( 
    TSupSysContext *context, TSupSysInfo *info )
{
    UNUSED(context);
    UNUSED(info);
    return 0;
}

TSupErr fkchdimg_unlock( 
    TSupSysContext *context, TSupSysInfo *info )
{
    UNUSED(context);
    UNUSED(info);
    return 0;
}

