/*
 * Copyright(C) 2000  
 *
 *    , 
 *    .
 *
 *        ,
 * ,    ,
 *     ,
 * ,      
 *     
 *      .
 */

/*!
 * \file $RCSfile$
 * \version $Revision: 94046 $
 * \date $Date: 2013-09-07 10:52:17 +0400 (Сбт, 07 Сен 2013) $
 * \author $Author: raa $
 * \brief    
 */

#include "fkchdimgprj.h"

TSupErr fkchdimg_set_param ( 
    TSupSysContext *context, 
    TSupSysInfo *info )
{
    TRdrFkcFolderEnumParam paramID;
    TRdrFolderParamValue * pv;
    TFKCHDImgContext * ctx;
    TSupErr code = SUP_ERR_NO;

    SUPSYS_PRE_CONTEXT( context, TFKCHDImgContext );
    pv = (TRdrFolderParamValue * )((TReaderInfoFolderParamSet *)info)->paramValue;
    ctx = (TFKCHDImgContext*)context;

    paramID = P2CH(TRdrFkcFolderParamTitle,pv)->paramID;
    switch (paramID) 
    {
    case TCEP_password:
	{
	    TRdrFkcFolderPasswordParam * value = P2CH(TRdrFkcFolderPasswordParam,pv);
	    if (!ctx->cardctx->cont.disablePass)
		_tcscpy(ctx->cardctx->cont.defaultPass, value->tPassword);
	}
	break;
    case TCEP_disablePassword:
	{
	    TRdrFkcFolderDisablePasswordParam *value = P2CH(TRdrFkcFolderDisablePasswordParam,pv);
	    ctx->cardctx->cont.disablePass = value->bDisablePassword;
	}
	break;
    default:
	return SUP_ERR_PARAM;
    }
    code = fkchdimg_infofile_write (ctx->cardctx);
    return code;
}
