/*
 * Copyright(C) 2000  
 *
 *    , 
 *    .
 *
 *        ,
 * ,    ,
 *     ,
 * ,      
 *     
 *      .
 */

#include "fkchdimgprj.h"

static const TSupSysInfoIDSBaseItem UECHDIMG_IDS_ITEMS[] = 
{
    { SUPSYS_IDS_BLOCK_BASE, IDS_UECHDIMG_NAME, SUPSYS_IDS_BASE_QUANT_V2 },
    { SUPSYS_IDS_BLOCK_ICON, IDI_UECHDIMG, SUPSYS_IDS_ICON_QUANT_V1 },
};


static const TSupSysInfoIDSBase UECHDIMG_IDS = 
{
    sizeof( TSupSysInfoIDSBase ),
    sizeof( UECHDIMG_IDS_ITEMS ) / sizeof( TSupSysInfoIDSBaseItem ),
    UECHDIMG_IDS_ITEMS
};


TSupErr uechdimg_info_ids(
    TSupSysContext *context, 
    TSupSysInfo *info )
{
    UNUSED( context );

    SUPSYS_PRE_INFO( info, TSupSysInfoIDSBase );
    memcpy( info, &UECHDIMG_IDS, sizeof( TSupSysInfoIDSBase ) );
    return SUP_ERR_NO;
}

static const TSupSysInfoIDSBaseItem UECHDIMG2_IDS_ITEMS[] = 
{
    { SUPSYS_IDS_BLOCK_BASE, IDS_UECHDIMG2_NAME, SUPSYS_IDS_BASE_QUANT_V2 },
    { SUPSYS_IDS_BLOCK_ICON, IDI_UECHDIMG2, SUPSYS_IDS_ICON_QUANT_V1 },
};


static const TSupSysInfoIDSBase UECHDIMG2_IDS = 
{
    sizeof( TSupSysInfoIDSBase ),
    sizeof( UECHDIMG2_IDS_ITEMS ) / sizeof( TSupSysInfoIDSBaseItem ),
    UECHDIMG2_IDS_ITEMS
};


TSupErr uechdimg2_info_ids(
    TSupSysContext *context, 
    TSupSysInfo *info )
{
    UNUSED( context );

    SUPSYS_PRE_INFO( info, TSupSysInfoIDSBase );
    memcpy( info, &UECHDIMG2_IDS, sizeof( TSupSysInfoIDSBase ) );
    return SUP_ERR_NO;
}

/* end of file: $Id: uechdimgids.c 83795 2012-12-14 14:01:46Z sagafyin $ */
