/*
 * Copyright(C) 2000  
 *
 *    , 
 *    .
 *
 *        ,
 * ,    ,
 *     ,
 * ,      
 *     
 *      .
 */

#if !defined( _READER_UECHDIMG_INF_H )
#define _READER_UECHDIMG_INF_H /*+   . +*/

#include "reader/rdr.h" /*+ Project (READER) include.
        . +*/
#include "reader.kit/reader.h" /*+ Project (READER/RDR) include.
         . +*/

#if defined( __cplusplus )
extern "C" {
#endif /* defined( __cplusplus ) */

TSupErr uechdimg_info_ids(
    TSupSysContext *context, 
    TSupSysInfo *info );

TSupErr uechdimg2_info_ids(
			  TSupSysContext *context, 
			  TSupSysInfo *info );

TSupErr uechdimg_info_system_flag(
    TSupSysContext *context, TSupSysInfo* );

TSupErr uechdimg_register( 
    TSupSysContext *context, TSupSysInfo* );

TSupErr uechdimg2_register( 
    TSupSysContext *context, TSupSysInfo* );

TSupErr uechdimg_unregister( 
    TSupSysContext *context, TSupSysInfo* );

TSupErr uechdimg_context_dup( 
    TSupSysContext *context, TSupSysInfo* );

TSupErr uechdimg2_context_dup( 
    TSupSysContext *context, TSupSysInfo* );

TSupErr uechdimg_context_free( 
    TSupSysContext *context, TSupSysInfo* );

/*   . */
TSupErr uechdimg_file_open( 
    TSupSysContext *context, TSupSysInfo *info );

/*    . */
TSupErr uechdimg_file_write( 
    TSupSysContext *context, TSupSysInfo *info );

/*    . */
TSupErr uechdimg_file_read( 
    TSupSysContext *context, TSupSysInfo *info );

/*   . */
TSupErr uechdimg_file_close( 
    TSupSysContext *context, TSupSysInfo *info );

/*    . */
TSupErr uechdimg_length(
    TSupSysContext *context, TSupSysInfo *info );

TSupErr uechdimg_folder_open( 
    TSupSysContext *context, TSupSysInfo *info );

TSupErr uechdimg_folder_close( 
    TSupSysContext *context, TSupSysInfo *info );

TSupErr uechdimg_folder_clear( 
    TSupSysContext *context, TSupSysInfo *info );

TSupErr uechdimg_sign( 
    TSupSysContext *context, TSupSysInfo *info );

TSupErr uechdimg_chsize( 
    TSupSysContext *context, TSupSysInfo *info );

TSupErr uechdimg_get_param( 
    TSupSysContext *context, TSupSysInfo *info );

TSupErr uechdimg_new_key( 
    TSupSysContext *context, TSupSysInfo *info );

TSupErr uechdimg_login ( 
    TSupSysContext *context, 
    TSupSysInfo *info );

TSupErr uechdimg_logout( 
    TSupSysContext *context, TSupSysInfo *info );

TSupErr uechdimg_puk_enter( 
    TSupSysContext *context, TSupSysInfo *info );

TSupErr uechdimg_clear_tries( 
    TSupSysContext *context, TSupSysInfo *info );

TSupErr uechdimg_key_set( 
    TSupSysContext *context, TSupSysInfo *info );

TSupErr uechdimg_auth_phrase( 
    TSupSysContext *context, TSupSysInfo *info );

TSupErr uechdimg_file_size( 
    TSupSysContext *context, TSupSysInfo *info );

TSupErr uechdimg_file_chsize( 
    TSupSysContext *context, TSupSysInfo *info );

TSupErr uechdimg_change_pin( 
    TSupSysContext *context, TSupSysInfo *info );

TSupErr uechdimg_default_carrier_type(
    TSupSysContext *context, TSupSysInfo *info );

#if defined( __cplusplus )
}
#endif /* defined( __cplusplus ) */

#endif /* !defined( _READER_UECHDIMG_INF_H ) */
/*+ end of file:$Id: uechdimginf.h 87511 2013-04-02 12:29:02Z sagafyin $.h +*/
