#ifndef CALLCTX_H_INCLUDED
#define CALLCTX_H_INCLUDED 1

#ifdef __cplusplus
extern "C" {
#endif


typedef struct _CP_CALL_CTX_ CP_CALL_CTX, *pCP_CALL_CTX;
typedef struct _CRYPT_CSP_ CRYPT_CSP, * LPCRYPT_CSP;

/*   SetLastError/GetLastError */
extern	void	rSetLastError	(pCP_CALL_CTX pCallCtx, DWORD err);
extern	DWORD	rGetLastError	(pCP_CALL_CTX pCallCtx);

#ifdef USE_STATIC_ANALYZER
#define rAllocMemory(pCallCtx,dwSize,dwMemPoolId) (pCallCtx, dwMemPoolId,calloc(dwSize, 1))
#define rFreeMemory(pCallCtx,pMem,dwMemPoolId)  (pCallCtx, dwMemPoolId,free(pMem))
#else
/*   AllocMemory/FreeMemory */
extern	LPVOID	rAllocMemory	(pCP_CALL_CTX pCallCtx, size_t dwSize, DWORD dwMemPoolId);
extern	BOOL	rFreeMemory	(pCP_CALL_CTX pCallCtx, VOID *pMem, DWORD dwMemPoolId);
#endif

/*!   */
extern	BOOL	rInitMemory	(pCP_CALL_CTX pCallCtx);

#if !defined UNIX
/*!    */
extern	void	rDoneMemory	(pCP_CALL_CTX pCallCtx);
#endif /* !UNIX */
/*!    */
extern	void	rValidateMemory	(pCP_CALL_CTX pCallCtx);

extern	void	rInitCallCtx	(pCP_CALL_CTX pCallCtx, LPCRYPT_CSP hCSP);

struct _CP_CALL_CTX_
{
    LPCRYPT_CSP			hCSP;
    DWORD			dwError;
    DWORD			dwThreadId;
    #if defined(PRO_MAP_ALLOC)
	long long		CtxId;
    #endif
    DWORD			dwCommonKArrayLength;
    BYTE                       *pbCommonKArray; 
    BOOL			bOwnFPU;
    int				iCntFPU;
	// ASSERT -    FPUAllignValue
    struct cp_vtb_28147_89     *pVTB;
};


#ifdef __cplusplus
}
#endif

#endif /* CALLCTX_H_INCLUDED */
