/*
 * Copyright(C) 2000  
 *
 *    , 
 *    .
 *
 *        ,
 * ,    ,
 *     ,
 * ,      
 *     
 *      .
 */

/*!
 * \file $RCSfile$
 * \version $Revision: 78908 $
 * \date $Date: 2012-06-22 17:07:35 +0400 (Птн, 22 Июн 2012) $
 * \author $Author: kondakova $
 *
 * \brief         .
 */

#ifndef _SERIAL_H_INCLUDED
#define _SERIAL_H_INCLUDED

#include "reader/tchar.h"
#include "reader/support.h"
#include "wincspc.h"
#include "callctx.h"
#include "serial_def.h"

#ifdef __cplusplus
extern "C" {
#endif

UINT GetProductType( const SerialConfiguration *config, LPCTSTR tszPIDKey, BOOL Process36 );
BOOL ParseDate( const TCHAR *date_string, support_timeval *sv );
BOOL GetBestProductLicense(const CpLicVerificationParams *licVerificationParams, TCHAR * pSerial);
int GetLicenseValidityTime(const CpLicVerificationParams *licVerificationParams,
						   const TCHAR *ProductID,
						   support_timeval *time_end);
BOOL GetCompanyName(CpLicVerificationParams *licVerificationParams, LPTSTR szCompanyName);
BOOL GetFirstInstallDate(CpLicVerificationParams *licVerificationParams, 
						    TCHAR *DateStr);

int WINAPI
VerifyLicTimes(const pCP_CALL_CTX pCallCtx, 
	       const pCSP_HASH_FUNCS HashFuncs,
	       CPC_GetTimeOfDay_Callback get_time_of_day,
	       const SerialConfiguration *config,
	       int *expired_through_days, UINT *uProductType,
	       const TCHAR *ProductID, const TCHAR *DateStr, 
	       const TCHAR *CompanyName, TCHAR *NotifyTime,
	       support_timeval *time_end);

extern const TCHAR REG_LICENCEINFO_CSP30_UNIX[];
extern const TCHAR PARAM_PRODID[];
extern const TCHAR PARAM_DATA[];

#ifdef __cplusplus
}
#endif

#endif /* _SERIAL_H_INCLUDED */
/* end of file: $Id: serial.h 78908 2012-06-22 13:07:35Z kondakova $ */
