/*
 * Copyright(C) 2000  
 *
 *    , 
 *    .
 *
 *        ,
 * ,    ,
 *     ,
 * ,      
 *     
 *      .
 */

#include "fkchdimgprj.h" /* Project (READER/FAT12) include.
     include    (READER/FAT12). */

/*!
 * \ingroup fkchdimg_info_general
 * \brief    .
 * \return  
 * \retval SUP_ERR_NO  .
 * \retval SUP_ERR_PARAM   .
 */
TSupErr fkchdimg_context_free( 
    TSupSysContext *context, 
    TSupSysInfo *info )
{
    TFKCHDImgContext *ctx = (TFKCHDImgContext*)context;

    UNUSED(info);
    /*   . */
    SUPSYS_PRE_INFO( info, TSupSysInfoContextFree );

    if( ctx == NULL )
	return SUP_ERR_NO;
    support_mutex_close(&ctx->filelock);

    free(ctx->path);
    free(ctx->volume_label);
    free(ctx->file_name);
    free(ctx->folder);
    free(ctx->provname);
    free(ctx);
    return SUP_ERR_NO;
}
/* end of file: $Id: fkchdimgcfree.c 68099 2011-05-19 10:41:06Z dim $ */
