/*
 * Copyright(C) 2000  
 *
 *    , 
 *    .
 *
 *        ,
 * ,    ,
 *     ,
 * ,      
 *     
 *      .
 */

#include "fkchdimgprj.h"

static const TSupSysInfoIDSBaseItem FKCHDIMG_IDS_ITEMS[] = 
{
    { SUPSYS_IDS_BLOCK_BASE, IDS_FKCHDIMG_NAME, SUPSYS_IDS_BASE_QUANT_V2 },
    { SUPSYS_IDS_BLOCK_ICON, IDI_FKCHDIMG, SUPSYS_IDS_ICON_QUANT_V1 },
    { READER_IDS_BLOCK, IDS_FKCHDIMG_INSERT_TEXT, READER_IDS_QUANT_V1 }
};

/*!
 * \ingroup fkchdimg_internal
 * \brief     HDIMAGE
 */
static const TSupSysInfoIDSBase FKCHDIMG_IDS = 
{
    sizeof( TSupSysInfoIDSBase ),
    sizeof( FKCHDIMG_IDS_ITEMS ) / sizeof( TSupSysInfoIDSBaseItem ),
    FKCHDIMG_IDS_ITEMS
};

/*!
 * \ingroup hdimage_fun_general
 * \brief      HDIMAGE
 * \param context [in]  .  .
 * \param info [out]  #TSupSysInfoIDSBase
 * \return  .
 * \retval #SUP_ERR_NO   .
 * \retval #SUP_ERR_PARAM   
 */
TSupErr fkchdimg_info_ids(
    TSupSysContext *context, 
    TSupSysInfo *info )
{
    UNUSED( context );

    SUPSYS_PRE_INFO( info, TSupSysInfoIDSBase );
    memcpy( info, &FKCHDIMG_IDS, sizeof( TSupSysInfoIDSBase ) );
    return SUP_ERR_NO;
}
/* end of file: $Id: fkchdimgids.c 54221 2009-05-02 03:17:37Z lse $ */
