/*
 * Copyright(C) 2000  
 *
 *    , 
 *    .
 *
 *        ,
 * ,    ,
 *     ,
 * ,      
 *     
 *      .
 */

/****
 * $Id: fkchdimgprj.h 84689 2013-01-16 15:30:15Z sagafyin $
 *
 *       (READER).
 *
 *   /      (FAT12).
 *
 *  include    (READER/FAT12).
 *
 *    define: 
 *
 * : _MSC_VER, _WIN32
 *
 *  : _USRDLL
 *
 ****/

#if !defined( _READER_FKC_FKCHDIMG_H )
#define _READER_FKC_FKCHDIMG_H /*+   . +*/

#if defined( _MSC_VER )
#pragma once
#define WIN32_LEAN_AND_MEAN 
#endif /* defined( _MSC_VER ) */

#include "reader.kit/gen_prj.h"

/*+ Standart. +*/
#if !defined _WIN32
#include <sys/stat.h> /*+ Std include. +*/
#include <errno.h> /*+ DOS include. +*/
#endif /* _WIN32 */

#ifdef SOLARIS
#include <volmgt.h>
#endif

/*+ Project (READER/SUPPORT) +*/
#include "reader/sup_syse.h"
#include "reader.kit/sup_sys.h"

/*+ Project (READER/RDR) +*/
#include "reader/rdr.h" /*+ Project (READER) include.
        . +*/
#include "reader/rdr_fkc.h" /*+ TODO: Project (READER) include.
        . +*/
#include "reader.kit/reader.h" /*+ Project (READER/RDR) include.
         . +*/
#include "reader.kit/reader_fkc.h" /*+ Project (READER/RDR) include.
         . +*/

/*+ Project (READER/FAT12) +*/
#if defined( _USRDLL )
#define _FAT12_DECL _STDEXP_DECL
#define _HDIMAGE_DECL _STDEXP_DECL
#endif /* defined( _USRDLL ) */

#include "reader/fkchdimg.h"
#include "reader/uechdimg.h"
#include "reader/uechdimg2.h"
#include "reader/hdimage.h"

/*+ Project (READER/FAT12)  include . +*/
#include "fkchdimgint.h" /*+ Project (READER/FAT12) include.
          FAT12. +*/
#include "fkchdimginf.h"
/*+ Project (READER/FAT12)  include . +*/

/*        FAT12. +*/
#include "uechdimginf.h"


/*+ Project(READER/FAT12) include.
     . +*/
#ifdef UNIX
#include "fkchdimg_rc.h" 
#else /* UNIX */
#include "Win32/fkchdimg_rc.h" 
#endif /* UNIX */


#if defined( _USRDLL ) 
_HDIMAGE_DECL const TSupSysEHandle* reader_get_handle( size_t i );
#endif /* defined( _USRDLL ) */

#endif /* !defined( _READER_FKC_FKCHDIMG_H ) */
/*+ end of file: $Id: fkchdimgprj.h 84689 2013-01-16 15:30:15Z sagafyin $ +*/
