/*
 * Copyright(C) 2000  
 *
 *    , 
 *    .
 *
 *        ,
 * ,    ,
 *     ,
 * ,      
 *     
 *      .
 */

#ifndef _MAGISTRA_H_INCLUDED
#define _MAGISTRA_H_INCLUDED

/*********************************************************
*       MAGISTRA DEFINES
**********************************************************/
typedef struct _TOKEN_DATA_{
 	DWORD	tControl;
 	DWORD	tVerify;
 	DWORD   cbData;
 	BYTE    *pbData;
} TOKEN_DATA, *PTOKEN_DATA;

/*     SIGMA 1, SIGMA 2 */
//#define PRINT_SIGMA 1
/*      */
//#define PRINT_ECC_POINT   1
/*       */
//#define PRINT_COMMENT   1

#ifdef __cplusplus
extern "C" {
#endif
/*********************************************************
*       INTERFASE TOKEN - CSP
**********************************************************/
void  be2le_t(unsigned char *pdst, unsigned char *psrc, DWORD dwLen); 
DWORD le2be_d2s (DWORD src);

/*********************************************************
*       MAGISTRA TEST FUNCS
**********************************************************/
void Printf_ECCPoint(LPDWORD pB, LPSTR pstr);
void Printf_B_(LPBYTE pB, DWORD dwLen, LPSTR pstr);
void Printf_PublicBlob(LPBYTE pB, LPSTR pstr);
void Print_PW(DWORD Direct,LPSTR pszPW);
void Printf_B_BE(LPBYTE pB, DWORD dwLen, LPSTR pstr);

#ifdef __cplusplus
}
#endif

#endif /* _MAGISTRA_H_INCLUDED */
