/*
 * Copyright(C) 2000  
 *
 *    , 
 *    .
 *
 *        ,
 * ,    ,
 *     ,
 * ,      
 *     
 *      .
 */

#include "fkchdimgprj.h" /* Project (READER/FAT12) include.
     include    (READER/FAT12). */

/*!
 * \ingroup uechdimg_info_general
 * \brief    .
 * \return  
 */
TSupErr uechdimg_context_dup( 
    TSupSysContext *context, 
    TSupSysInfo *info )
{
    TSupSysInfoContextDup *inf = (TSupSysInfoContextDup*)info;
    TUECHDImgContext *dest;

    /*   . */
    SUPSYS_PRE_CONTEXT( context, TUECHDImgContext );
    SUPSYS_PRE_INFO( info, TSupSysInfoContextDup );

    dest = malloc( sizeof( *dest ) );
    if( dest == NULL )
	return SUP_ERR_MEMORY;
    memset( dest, 0, sizeof( *dest ) );

    dest->key_blob_path = (TCHAR*) KEY_BLOB_PATH;
    dest->header_path = (TCHAR*) HEADER_PATH;
    dest->info_path = (TCHAR*) INFO_PATH;
    dest->pin_path = (TCHAR*) PIN_PATH;
    dest->pin_count_path = (TCHAR*) PIN_COUNT_PATH;
    dest->puk_path = (TCHAR*) PUK_PATH;
    dest->puk_count_path = (TCHAR*) PUK_COUNT_PATH;
    dest->pin_need_path = (TCHAR *) PIN_NEED_PATH;

    inf->dest_context = dest;
    return SUP_ERR_NO;
}

TSupErr uechdimg2_context_dup( 
			     TSupSysContext *context, 
			     TSupSysInfo *info )
{
    TSupSysInfoContextDup *inf = (TSupSysInfoContextDup*)info;
    TUECHDImgContext *dest;

    /*   . */
    SUPSYS_PRE_CONTEXT( context, TUECHDImgContext );
    SUPSYS_PRE_INFO( info, TSupSysInfoContextDup );

    dest = malloc( sizeof( *dest ) );
    if( dest == NULL )
	return SUP_ERR_MEMORY;
    memset( dest, 0, sizeof( *dest ) );

    dest->key_blob_path = (TCHAR*) KEY_BLOB_PATH_2;
    dest->header_path = (TCHAR*) HEADER_PATH_2;
    dest->info_path = (TCHAR*) INFO_PATH_2;
    dest->pin_path = (TCHAR*) PIN_PATH_2;
    dest->pin_count_path = (TCHAR*) PIN_COUNT_PATH_2;
    dest->puk_path = (TCHAR*) PUK_PATH_2;
    dest->puk_count_path = (TCHAR*) PUK_COUNT_PATH_2;
    dest->pin_need_path = (TCHAR *) PIN_NEED_PATH_2;

    inf->dest_context = dest;
    return SUP_ERR_NO;
}

